Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.model.iterators
Class IterableDataTuplesIterator

    java.lang.Object
      com.google.common.collect.UnmodifiableIterator<org.richfaces.model.TreeDataModelTuple>
          org.richfaces.model.iterators.BaseTupleIterator
              org.richfaces.model.iterators.IterableDataTuplesIterator

All Implemented Interfaces:
  Iterator<org.richfaces.model.TreeDataModelTuple>

    public class IterableDataTuplesIterator

extends BaseTupleIterator

Author:
  Nick Belaevski

Constructor Summary
`IterableDataTuplesIterator(SequenceRowKey baseKey, Iterator<?> children)`
`IterableDataTuplesIterator(SequenceRowKey baseKey, Iterator<?> children, javax.faces.component.UIComponent component)`

Method Summary
`boolean` | `hasNext()`
`protected void` | `proceedToNext()`

Methods inherited from class org.richfaces.model.iterators.BaseTupleIterator
`createTuple, getBaseKey, getComponent, getCompositeKey, getKey, getWrappedKey, next, setKeyAndData`

Methods inherited from class com.google.common.collect.UnmodifiableIterator
`remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IterableDataTuplesIterator

    public IterableDataTuplesIterator(SequenceRowKey baseKey,
                                      Iterator<?> children)

### IterableDataTuplesIterator

    public IterableDataTuplesIterator(SequenceRowKey baseKey,
                                      Iterator<?> children,
                                      javax.faces.component.UIComponent component)

Method Detail

### hasNext

    public boolean hasNext()

### proceedToNext

    protected void proceedToNext()

  Specified by:
    `proceedToNext` in class `BaseTupleIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.